## empathy-spell

empathy-spell

## Synopsis

    gboolean            empathy_spell_supported             (void);
    const gchar *       empathy_spell_get_language_name     (const gchar *code);
    GList *             empathy_spell_get_language_codes    (void);
    void                empathy_spell_free_language_codes   (GList *codes);
    gboolean            empathy_spell_check                 (const gchar *word);
    GList *             empathy_spell_get_suggestions       (const gchar *word);
    void                empathy_spell_free_suggestions      (GList *suggestions);

## Description

## Details

### empathy_spell_supported ()

    gboolean            empathy_spell_supported             (void);

Returns : |

### empathy_spell_get_language_name ()

    const gchar *       empathy_spell_get_language_name     (const gchar *code);

`code` : |
Returns : |

### empathy_spell_get_language_codes ()

    GList *             empathy_spell_get_language_codes    (void);

Returns : |

### empathy_spell_free_language_codes ()

    void                empathy_spell_free_language_codes   (GList *codes);

`codes` : |

### empathy_spell_check ()

    gboolean            empathy_spell_check                 (const gchar *word);

`word` : |
Returns : |

### empathy_spell_get_suggestions ()

    GList *             empathy_spell_get_suggestions       (const gchar *word);

`word` : |
Returns : |

### empathy_spell_free_suggestions ()

    void                empathy_spell_free_suggestions      (GList *suggestions);

`suggestions` : |